## com.ibm.lab.soln.sqleditor
Class SQLEditorContributor

    java.lang.Object
      |
      +--org.eclipse.ui.part.EditorActionBarContributor
            |
            +--org.eclipse.ui.texteditor.BasicTextEditorActionContributor
                  |
                  +--org.eclipse.ui.editors.text.TextEditorActionContributor
                        |
                        +--com.ibm.lab.soln.sqleditor.SQLEditorContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

public class SQLEditorContributor
extends org.eclipse.ui.editors.text.TextEditorActionContributor

Manages the installation and deinstallation of actions for the SQL editor.

Field Summary
`protected org.eclipse.ui.texteditor.RetargetTextEditorAction` | `fContentAssistProposal`
`protected org.eclipse.ui.texteditor.RetargetTextEditorAction` | `fContentAssistTip`
`protected org.eclipse.ui.texteditor.RetargetTextEditorAction` | `fContentFormatProposal`

Constructor Summary
`SQLEditorContributor()` Constructor for SQLEditorContributor.

Method Summary
`void` | `contributeToMenu(org.eclipse.jface.action.IMenuManager mm)`
`void` | `contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)` Contributes to the toolbar.
`void` | `setActiveEditor(org.eclipse.ui.IEditorPart part)` Sets the active editor to this contributor.

Methods inherited from class org.eclipse.ui.editors.text.TextEditorActionContributor
`dispose, init`

Methods inherited from class org.eclipse.ui.texteditor.BasicTextEditorActionContributor
`contributeToStatusLine, getAction, getActiveEditorPart`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fContentAssistProposal

    protected org.eclipse.ui.texteditor.RetargetTextEditorAction fContentAssistProposal

### fContentAssistTip

    protected org.eclipse.ui.texteditor.RetargetTextEditorAction fContentAssistTip

### fContentFormatProposal

    protected org.eclipse.ui.texteditor.RetargetTextEditorAction fContentFormatProposal

Constructor Detail

### SQLEditorContributor

    public SQLEditorContributor()

  Constructor for SQLEditorContributor. Creates a new contributor in the form of adding Content Assist, Conent Format and Assist tip menu items

Method Detail

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager mm)

  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.texteditor.BasicTextEditorActionContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)

  Contributes to the toolbar.
  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor#contributeToToolBar`

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart part)

  Sets the active editor to this contributor. This updates the actions to reflect the SQL editor.
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.editors.text.TextEditorActionContributor`
  See Also:
    `EditorActionBarContributor#editorChanged`